org.licas.service.link

## Class ThresholdSource

- java.lang.Object
- - org.licas.service.link.ThresholdSource

-     public class ThresholdSource
      extends java.lang.Object

  This class stores values relating to a linked source, stored in a `Thresholds` structure. Each reference in the Thresholds structure needs certain information about each source it is linking with, including the current link value, or the source reference itself, including probably a URI description. As this is different for each source, the information is stored here.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Thresholds` | `negativeConcepts` A list of negative related concepts
    `protected int` | `negativeMax` The maximum number of allowed negative entries at all levels
    `Thresholds` | `parent` The parent thresholds structure
    `java.lang.Object` | `source` The source representation as stored in the thresholds structure, e.g.
    `long` | `timeStamp` A time stamp indicating the last time the source was incremented
    `float` | `value` The source value

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThresholdSource(int thisNegativeMax, Thresholds thisParent)` Creates a new instance of ThresholdSource.
    `ThresholdSource(Thresholds thisParent)` Creates a new instance of ThresholdSource.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNegative(java.util.ArrayList<java.lang.Object> theNodes)` Add the specified negative relations to the list.
    `boolean` | `hasNegative(java.util.ArrayList<java.lang.Object> theNodes)` Return true if any of the negative concepts are stored with the link.
    `boolean` | `notAssigned()` Return true if object not yet assigned new values.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### negativeMax

          protected int negativeMax

      The maximum number of allowed negative entries at all levels

    - #### source

          public java.lang.Object source

      The source representation as stored in the thresholds structure, e.g. full path or reference.

    - #### negativeConcepts

          public Thresholds negativeConcepts

      A list of negative related concepts

    - #### value

          public float value

      The source value

    - #### timeStamp

          public long timeStamp

      A time stamp indicating the last time the source was incremented

    - #### parent

          public Thresholds parent

      The parent thresholds structure

  - ### Constructor Detail

    - #### ThresholdSource

          public ThresholdSource(Thresholds thisParent)
                          throws java.lang.Exception

      Creates a new instance of ThresholdSource. The maximum allowed negative entries is set to `Const`.`DEFAULTMAXNEGATIVE`. The value itself is a special case however and not generally used.
      Parameters:
        `thisParent` - the parent thresholds structure.
      Throws:
        `java.lang.Exception` - any error.

    - #### ThresholdSource

          public ThresholdSource(int thisNegativeMax,
                                 Thresholds thisParent)
                          throws java.lang.Exception

      Creates a new instance of ThresholdSource.
      Parameters:
        `thisNegativeMax` - the maximum number of negative allowed entries.
        `thisParent` - the parent thresholds structure.
      Throws:
        `java.lang.Exception` - any error.

  - ### Method Detail

    - #### hasNegative

          public boolean hasNegative(java.util.ArrayList<java.lang.Object> theNodes)
                              throws java.lang.Exception

      Return true if any of the negative concepts are stored with the link.
      Parameters:
        `theNodes` - the node sources to add as negative, in relation to concepts(parts).
      Returns:
        true if any concepts in the list are at the link level in this structure.
      Throws:
        `java.lang.Exception` - any error.

    - #### addNegative

          public void addNegative(java.util.ArrayList<java.lang.Object> theNodes)
                           throws java.lang.Exception

      Add the specified negative relations to the list.
      Parameters:
        `theNodes` - the node sources to add as negative, in relation to concepts(parts).
      Throws:
        `java.lang.Exception` - any error.

    - #### notAssigned

          public boolean notAssigned()

      Return true if object not yet assigned new values.
      Returns:
        true if not assigned new values.